/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.bean.enums;

public enum OrderStatus {

    /**
     * 待支付
     */
    UNPAY(0),

    /**
     * 订单已接单(待拣货)
     */
    PADYED(20),

    /**
     * 订单待配送（拣货完成/自提类订单为待自提）
     */
    CONSIGNMENT(30),


    /**
     * 订单配送中
     */
    DELIVERY(40),

    /**
     * 待评价
     */
    EVALUATE(45),

    /**
     * 订单已送达
     */
    RECEIVED(70),

    /**
     * 订单已完成
     */
    SUCCESS(80),

    /**
     * 订单取消待审核
     */
    CANCEL_AUDIT(50),

    /**
     * 订单已取消
     */
    CLOSE(60),

    /**
     * 待成团
     */
    WAIT_GROUP(7);

    private Integer num;

    public Integer value() {
        return num;
    }

    OrderStatus(Integer num) {
        this.num = num;
    }

    public static OrderStatus instance(Integer value) {
        OrderStatus[] enums = values();
        for (OrderStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
